All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PIPSocket::RouteEntry Class Reference

Describe a route table entry. More...

`#include <ipsock.h>`

Inheritance diagram for PIPSocket::RouteEntry:

## Public Member Functions

| RouteEntry (const Address &addr)
| Create a route table entry from an IP address. More...
Address | GetNetwork () const
| Get the network address associated with the route table entry. More...
Address | GetNetMask () const
| Get the network address mask associated with the route table entry. More...
Address | GetDestination () const
| Get the default gateway address associated with the route table entry. More...
const PString & | GetInterface () const
| Get the network address name associated with the route table entry. More...
long | GetMetric () const
| Get the network metric associated with the route table entry. More...
Public Member Functions inherited from PObject
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | Compare (const PObject &obj) const
| Compare the two objects and return their relative rank. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Protected Attributes

Address | network
Address | net_mask
Address | destination
PString | interfaceName
long | metric

## Additional Inherited Members

Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...

## Detailed Description

Describe a route table entry.

## Constructor & Destructor Documentation

PIPSocket::RouteEntry::RouteEntry | ( | const Address & | addr | ) |

inline

Create a route table entry from an IP address.

## Member Function Documentation

Address PIPSocket::RouteEntry::GetDestination | ( |  | ) | const

inline

Get the default gateway address associated with the route table entry.

References destination.

const PString& PIPSocket::RouteEntry::GetInterface | ( |  | ) | const

inline

Get the network address name associated with the route table entry.

References interfaceName.

long PIPSocket::RouteEntry::GetMetric | ( |  | ) | const

inline

Get the network metric associated with the route table entry.

References metric.

Address PIPSocket::RouteEntry::GetNetMask | ( |  | ) | const

inline

Get the network address mask associated with the route table entry.

References net_mask.

Address PIPSocket::RouteEntry::GetNetwork | ( |  | ) | const

inline

Get the network address associated with the route table entry.

References network.

## Member Data Documentation

Address PIPSocket::RouteEntry::destination

protected

Referenced by GetDestination().

PString PIPSocket::RouteEntry::interfaceName

protected

Referenced by GetInterface().

long PIPSocket::RouteEntry::metric

protected

Referenced by GetMetric().

Address PIPSocket::RouteEntry::net_mask

protected

Referenced by GetNetMask().

Address PIPSocket::RouteEntry::network

protected

Referenced by GetNetwork().

The documentation for this class was generated from the following file:

- ipsock.h